\name{lcmEdImp-package}
\alias{lcmEdImp}

\docType{package}
\title{
Bayesian Simultaneous Edit and Imputation of Categorical Data using non-parametric latent class models
}
\description{
This package implements a fully Bayesian method for simultaneous edit and imputation of categorical data using Dirichlet process mixtures of product-multinomial distributions.  
}
\details{
\tabular{ll}{
Package: \tab lcmEdImp\cr
Type: \tab Package\cr
Version: \tab 0.1.0 \cr
Date: \tab 2020-02-05\cr
License: \tab GPL >=3 \cr
}
 }
\author{
Daniel Manrique-Vallier \email{dmanriqu@indiana.edu}
}
\references{
Manrique-Vallier, Daniel and Reiter, J.P. (2015) "Bayesian Simultaneous Edit and Imputation for Large-Scale Categorical Data." 
}

\examples{
}
